May 25, 2011

nonot1 nonot1
Lab Rat
72 posts

How to build the Qt 4.8 tech preview with MinGW?

 

Hello,

How can I build the Qt 4.8 tech preview with mingw?

The how-to page [developer.qt.nokia.com] lists all sorts of static/standalone variations, but I don’t see any simple recipe for a plain-vanilla “mingw on windows from qt source” build.

So, I made an empty one: http://developer.qt.nokia.com/wiki/Building_Qt_Desktop_for_Windows_with_MinGW

Can anyone help me figure out the correct steps and flesh out the page?

Thank you

11 replies

May 25, 2011

nonot1 nonot1
Lab Rat
72 posts

Anybody? Does it exist somewhere, and I’m just missing it?

May 26, 2011

Chuck Gao Chuck Gao
Lab Rat
343 posts

Brief Steps:
1. configure
2. mingw32-make
3. mingw32-make install

Is that you want ?

 Signature 

Chuck

May 27, 2011

sigrid sigrid
Lab Rat
144 posts

The following FAQ [developer.qt.nokia.com] lists the necessary steps.

May 27, 2011

nonot1 nonot1
Lab Rat
72 posts

Thanks. I did not see that FAQ.

Is this information correct that Qt requires a very specific patched version of MinGW to build?

If so, why?

June 1, 2011

nonot1 nonot1
Lab Rat
72 posts

Bump. Anybody?

June 3, 2011

Thierry Thierry
Lab Rat
6 posts

The patched version is a version with more support for DirectShow. That is required if you want to build the phonon DirectShow backend.
Other than that we require mingw-gcc 4.4.0 or up.

…and yes we probably need to update the docs ;-)

June 3, 2011

sigrid sigrid
Lab Rat
144 posts

We have now updated the FAQ [developer.qt.nokia.com] to reflect this.

July 26, 2011

Peter Pan Peter Pan
Lab Rat
3 posts

Hi,

I’m desperately trying to compile Qt 4.8-beta (from the git repository) on Windows 7 (64bit) with MinGW (gcc version 4.5.2, separate install).

I followed the build instructions found here: http://developer.qt.nokia.com/faq/answer/how_can_i_set_up_my_environment_for_building_qt_qt_applications_with_mingw

The configure.exe step bails out with “project.h:45:25: fatal error: qstringlist.h: No such file or directory”.

Any hints?

Cheers
Peter

July 28, 2011

Peter Pan Peter Pan
Lab Rat
3 posts

I found out that compiling from the git repo. does not work. The tarball, however, can be compiled. Why is this?

July 28, 2011

Vass Vass
Ant Farmer
740 posts

Do you tried build from “master” branch or from “4.8”?
Just in git repo keep all last changes for branch, and it is not guaranteed that it will build, however tarball have guarantee for build

 Signature 


Vasiliy

July 29, 2011

Peter Pan Peter Pan
Lab Rat
3 posts

I tried to build from the “4.8” branch. But the same compile error (see post from 26th July) happens with the checkout of the “4.7.3” branch. That somehow puzzles me…

 
  ‹‹ Qt plugins deployment on Symbian      Mac Application Build Fails When Linking QtAccessibleWidgets ››

You must log in to post a reply. Not a member yet? Register here!